#!/bin/sh
# Deploys the site using s3cmd.
# Make sure 'website/public/' has been purged then updated  using 'docs/build-docs.sh'
# before running this script.
# If you don't purge 'website/public/', you may get unexpected results.
# To display information about the website configuration on Linode run:
# ```s3cmd ws-info s3://blocktree```
# If you need to setup s3cmd checkout the documentation on Linode's website:
# https://www.linode.com/docs/products/storage/object-storage/guides/s3cmd/
# The guide for deploying a Hugo site is also useful:
# https://www.linode.com/docs/guides/host-static-site-object-storage/
s3cmd --no-mime-magic --acl-public --delete-removed --delete-after sync public/ s3://www.blocktree.systems
